# Uses of Class
org.apache.sysds.runtime.instructions.spark.AppendSPInstruction

Packages that use AppendSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of AppendSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type AppendSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getAppendInstTime(AppendSPInstruction inst, VarStats input1, VarStats input2, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of AppendSPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type AppendSPInstruction
Modifier and Type
Method
Description
`static AppendFEDInstruction`
AppendFEDInstruction.`parseInstruction(AppendSPInstruction instr)`

## Uses of AppendSPInstruction in org.apache.sysds.runtime.instructions.spark

Subclasses of AppendSPInstruction in org.apache.sysds.runtime.instructions.spark
Modifier and Type
Class
Description
`class`
`AppendGAlignedSPInstruction`
`class`
`AppendGSPInstruction`
`class`
`AppendMSPInstruction`
`class`
`AppendRSPInstruction`
`class`
`FrameAppendMSPInstruction`
`class`
`FrameAppendRSPInstruction`
`class`
`MatrixAppendMSPInstruction`
`class`
`MatrixAppendRSPInstruction`